org.eclipse.ecf.provider.dnssd

## Class Activator

- java.lang.Object
- - org.eclipse.ecf.provider.dnssd.Activator

All Implemented Interfaces:
  BundleActivator

    public class Activator
    extends Object
    implements BundleActivator

### Nested Class Summary

Nested Classes
`class` `Activator.DnsSdServiceFactory` A ServiceFactory capable to handle DnsSdDiscoveryContainerAdapters

### Field Summary

Fields
`static String` `ADVERTISER`
`static String` `DISCOVERY_CONTAINER_NAME_VALUE`
`static String` `LOCATOR`
`static String` `PLUGIN_ID`

### Constructor Summary

Constructors
Constructor and Description
`Activator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `start(BundleContext context)`
`void` `stop(BundleContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PLUGIN_ID

    public static final String PLUGIN_ID

See Also:
  Constant Field Values

#### DISCOVERY_CONTAINER_NAME_VALUE

    public static final String DISCOVERY_CONTAINER_NAME_VALUE

See Also:
  Constant Field Values

#### LOCATOR

    public static final String LOCATOR

See Also:
  Constant Field Values

#### ADVERTISER

    public static final String ADVERTISER

See Also:
  Constant Field Values

### Constructor Detail

#### Activator

    public Activator()

### Method Detail

#### start

    public void start(BundleContext context)
               throws Exception

Specified by:
  `start` in interface `BundleActivator`
Throws:
  `Exception`

#### stop

    public void stop(BundleContext context)
              throws Exception

Specified by:
  `stop` in interface `BundleActivator`
Throws:
  `Exception`